package PizzaZH;

import java.util.Vector;

public class Pizza {
    
    private int meret;
    private Vector feltetek = new Vector();
    
    static int alapar_25_cm = 800;
    static int alapar_32_cm = 1000;
    private static Vector lehetsegesFeltetek = new Vector();

    static {
        getLehetsegesFeltetek().add(new Feltet("kolbasz", 100));
        getLehetsegesFeltetek().add(new Feltet("virsli", 50));        
        getLehetsegesFeltetek().add(new Feltet("paradicsom", 25));        
        getLehetsegesFeltetek().add(new Feltet("hagyma", 30));
    }
    
    public Pizza(int meret) {
        this.setMeret(meret);
    }
    
    public void ujFeltet(int sorszam) {
        getFeltetek().add(getLehetsegesFeltetek().elementAt(sorszam));
    }
    
    public void torolFeltet(int melyiket) {
        getFeltetek().remove(melyiket);
    }
        
    public int arKiszamitas() {
        int alapar = getMeret() == 25 ? alapar_25_cm : alapar_32_cm;
        for(int i = 0; i < getFeltetek().size(); i++) {
            alapar += ((Feltet)getFeltetek().elementAt(i)).getAr();
        }
        
        return alapar;
    }

    public Vector getFeltetek() {
        return feltetek;
    }

    public int getMeret() {
        return meret;
    }

    public void setMeret(int meret) {
        this.meret = meret;
    }

    public static Vector getLehetsegesFeltetek() {
        return lehetsegesFeltetek;
    }
}
